<p align="center">
  <img src="https://weforge.xyz/Spitfire/Branding/raw/branch/main/active/search/icon-alt4.svg" alt="Logo" width="64" height="64">
</p>

<p align="center" style="font-size: 32px;">
  <strong>Spitfire Patcher</strong>
</p>

<p align="center">
This is a custom patcher for applying modifications to firefox source code. It processes patch files located in the `./patches` directory and applies them to files in a specified root path.
</p>

## How to Use

1. Place your patch files in the `./patches` directory. Example of patch file:

   ```patch
   --- /browser/branding/official/configure.sh
   +++ /browser/branding/official/configure.sh

   -MOZ_APP_DISPLAYNAME=Firefox
   +MOZ_APP_DISPLAYNAME=Spitfire
   ```

2. Run the patcher with the `--path` flag:

   ```sh
   go run patch.go --path=./mozilla-central
   ```

*Root path will be resolved to an absolute path, and patches will be applied relative to this path.*
